Lavalite package that provides academy management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `testehost/academy`.

    "testehost/academy": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Testehost\Academy\Providers\AcademyServiceProvider::class,

And also add it to alias

    'Academy'  => Testehost\Academy\Facades\Academy::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Testehost\\Academy\\Seeders\\AcademyTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Testehost\Academy\Providers\AcademyServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Testehost\Academy\Providers\AcademyServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Testehost\Academy\Providers\AcademyServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/academy/{modulename}

**User**

    http://path-to-route-folder/user/academy/{modulename}

**Public**

    http://path-to-route-folder/academies


### API endpoints

**List**

    http://path-to-route-folder/api/user/academy/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/academy/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/academy/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/academy/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/academy/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/academy/{modulename}/{slug}
    METHOD: GET